CS::RenderManager::Implementation::ViscullCallback< RenderTree > Class Template Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::RenderManager::Implementation::ViscullCallback< RenderTree > Class Template Reference

Helper class implementing the visculler callback functionality and adds rendermeshes via AddRenderMeshToContext function. More...

`#include <csplugincommon/rendermanager/viscull.h>`

Inheritance diagram for CS::RenderManager::Implementation::ViscullCallback< RenderTree >:

List of all members.

## Public Member Functions
virtual int | GetVisibleMeshes (iMeshWrapper *mw, uint32 frustum_mask, csSectorVisibleRenderMeshes *&meshList)
| Returns a list of the visible rendermeshes of a meshwrapper.
virtual void | MarkVisible (iMeshWrapper *mw, int numMeshes, csSectorVisibleRenderMeshes *&meshList)
| Marks the passed rendermeshes of a meshwrapper as visible.
virtual void | ObjectVisible (iVisibilityObject *visobject, iMeshWrapper *imesh, uint32 frustum_mask)
| This function is called whenever the visibilty culler discovers a new visible mesh.

## Detailed Description

### template<typename RenderTree>
class CS::RenderManager::Implementation::ViscullCallback< RenderTree >

Helper class implementing the visculler callback functionality and adds rendermeshes via AddRenderMeshToContext function.

Definition at line 47 of file viscull.h.

## Member Function Documentation

template<typename RenderTree>

virtual int CS::RenderManager::Implementation::ViscullCallback< RenderTree >::GetVisibleMeshes | ( | iMeshWrapper * | mw,
|  | uint32 | frustum_mask,
|  | csSectorVisibleRenderMeshes *& | meshList
| ) |  | `[inline, virtual]`

Returns a list of the visible rendermeshes of a meshwrapper.

Implements iVisibilityCullerListener.

Definition at line 113 of file viscull.h.

template<typename RenderTree>

virtual void CS::RenderManager::Implementation::ViscullCallback< RenderTree >::MarkVisible | ( | iMeshWrapper * | mw,
|  | int | numMeshes,
|  | csSectorVisibleRenderMeshes *& | meshList
| ) |  | `[inline, virtual]`

Marks the passed rendermeshes of a meshwrapper as visible.

Implements iVisibilityCullerListener.

Definition at line 128 of file viscull.h.

template<typename RenderTree>

virtual void CS::RenderManager::Implementation::ViscullCallback< RenderTree >::ObjectVisible | ( | iVisibilityObject * | visobject,
|  | iMeshWrapper * | mesh,
|  | uint32 | frustum_mask
| ) |  | `[inline, virtual]`

This function is called whenever the visibilty culler discovers a new visible mesh.

The frustum_mask is a mask that is compatible with the current set of clip planes in the iRenderView. The mask will be true for every relevant plane. This can be used to further optimize clipping testing.

Implements iVisibilityCullerListener.

Definition at line 63 of file viscull.h.

The documentation for this class was generated from the following file:

- csplugincommon/rendermanager/viscull.h